Bug 977847 - problem in creating disk image using oz-install
problem in creating disk image using oz-install
Status: CLOSED INSUFFICIENT_DATA
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 09:10 EDT by Murali SP
Modified: 2013-09-12 15:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-12 15:15:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached file is the output of the command "oz-install -u -d3 <tdl_file> (54.25 KB, application/msword)
2013-06-25 09:10 EDT, Murali SP
no flags Details
Debug info of "oz-install create <tdl_file> in .txt format (42.45 KB, text/plain)
2013-06-26 08:38 EDT, Murali SP
no flags Details

  None (edit)
Description Murali SP 2013-06-25 09:10:06 EDT
Created attachment 765077 [details]
Attached file is the output of the command "oz-install -u -d3 <tdl_file>

Description of problem: Unable to create disk image using oz-install


Version-Release number of selected component (if applicable):libguestfs-1.16.34-2.el6.x86_64


How reproducible: By configuring openstack keystone, openstack glance, oz, libguestfs-tools on cent os 64bit. referred https://access.redhat.com/site/documentation/en-US/Red_Hat_OpenStack/2/pdf/Getting_Started_Guide/Red_Hat_OpenStack-2-Getting_Started_Guide-en-US.pdf


Steps to Reproduce:
1. Configure openstack keystone
2. Install qemu(using qemu as virtual cpu),oz,libguestfs-tool package
3. Create guest using "virsh create <configuration_file>"
3. export LIBGUESTFS_DEBUG=1 and
LIBGUESTFS_TRACE=1

4. run "oz-install -u -d3 TDL_FILE" (to create hard disk os image)
Actual results:


Expected results:
Hard disk image should get created under /var/lib/libvirt/images/

Additional info:
guest domain started and running successfully.

Please help me in fixing this problem. I saw a similar type of problem in bug 769304. But it couldn't find solution from that.

Thanks
Murali
Comment 1 Richard W.M. Jones 2013-06-26 07:06:24 EDT
Can you not attach word processor documents to bugs.  It's
extremely hard to read them.  Just use plain text files.

Anyway, I can't see any particular issue.  What does or doesn't
happen?  It hangs?  It prints an error?  If you attach the
*complete* log, unedited, as a plain text file it may be possible
to help.
Comment 2 Murali SP 2013-06-26 08:38:31 EDT
Created attachment 765547 [details]
Debug info of "oz-install create <tdl_file> in .txt format

Ok, I have attached plain text file. But at the end I have cut the debug info as the following lines were repeating for long time(more than 3 hours) and file size reached more than 10 MB.

libguestfs: recv_from_daemon: 8200 bytes: 00 00 00 00 | 00 00 20 00 | ff b5 01 00 | 60 00 00 00 | 00 41 0e 10 | ...
libguestfs: recv_from_daemon: 8200 bytes: 00 00 00 00 | 00 00 20 00 | 06 02 4f c6 | 0c 07 08 00 | 1c 00 00 0
Comment 3 Richard W.M. Jones 2013-06-26 08:55:21 EDT
You need to attach the full log and answer the other questions
in comment 1.  I can't help you otherwise.

Note You need to log in before you can comment on or make changes to this bug.